## javanet.staxutils.events
Class BaseXMLEventFactory

    java.lang.Object
      javax.xml.stream.XMLEventFactory
          javanet.staxutils.events.BaseXMLEventFactory

Direct Known Subclasses:
  EventFactory

    public abstract class BaseXMLEventFactory

extends XMLEventFactory

Abstract base class for `XMLEventFactory` implementations. This class makes it easier to implement by coalesing the various forms of each method into a single creation method, such as `createAttribute(QName, String, Location, QName)`.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary
`protected Location` `location` The current location registered with the factory.

Constructor Summary
`BaseXMLEventFactory()`

Method Summary
`Attribute` `createAttribute(QName name, String value)`
`abstract Attribute` `createAttribute(QName name, String value, Location location, QName schemaType)`
`Attribute` `createAttribute(String localName, String value)`
`Attribute` `createAttribute(String prefix, String namespaceURI, String localName, String value)`
`Characters` `createCData(String content)`
`abstract Characters` `createCData(String content, Location location, QName schemaType)`
`Characters` `createCharacters(String content)`
`abstract Characters` `createCharacters(String content, Location location, QName schemaType)`
`Comment` `createComment(String text)`
`abstract Comment` `createComment(String text, Location location)`
`DTD` `createDTD(String dtd)`
`abstract DTD` `createDTD(String dtd, Location location)`
`EndDocument` `createEndDocument()`
`abstract EndDocument` `createEndDocument(Location location)`
`EndElement` `createEndElement(QName name, Iterator namespaces)`
`abstract EndElement` `createEndElement(QName name, Iterator namespaces, Location location, QName schemaType)`
`EndElement` `createEndElement(String prefix, String namespaceUri, String localName)`
`EndElement` `createEndElement(String prefix, String namespaceUri, String localName, Iterator namespaces)`
`EntityReference` `createEntityReference(String name, EntityDeclaration declaration)`
`abstract EntityReference` `createEntityReference(String name, EntityDeclaration declaration, Location location)`
`Characters` `createIgnorableSpace(String content)`
`abstract Characters` `createIgnorableSpace(String content, Location location)`
`Namespace` `createNamespace(String namespaceUri)`
`Namespace` `createNamespace(String prefix, String namespaceUri)`
`abstract Namespace` `createNamespace(String prefix, String namespaceUri, Location location)`
`ProcessingInstruction` `createProcessingInstruction(String target, String data)`
`abstract ProcessingInstruction` `createProcessingInstruction(String target, String data, Location location)`
`Characters` `createSpace(String content)`
`abstract Characters` `createSpace(String content, Location location)`
`StartDocument` `createStartDocument()`
`StartDocument` `createStartDocument(String encoding)`
`StartDocument` `createStartDocument(String encoding, String version)`
`StartDocument` `createStartDocument(String encoding, String version, boolean standalone)`
`abstract StartDocument` `createStartDocument(String encoding, String version, Boolean standalone, Location location, QName schemaType)`
`StartElement` `createStartElement(QName name, Iterator attributes, Iterator namespaces)`
`abstract StartElement` `createStartElement(QName name, Iterator attributes, Iterator namespaces, NamespaceContext namespaceCtx, Location location, QName schemaType)`
`StartElement` `createStartElement(String prefix, String namespaceUri, String localName)`
`StartElement` `createStartElement(String prefix, String namespaceUri, String localName, Iterator attributes, Iterator namespaces)`
`StartElement` `createStartElement(String prefix, String namespaceUri, String localName, Iterator attributes, Iterator namespaces, NamespaceContext context)`
`void` `setLocation(Location location)`

Methods inherited from class javax.xml.stream.XMLEventFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    protected Location location

  The current location registered with the factory.

Constructor Detail

### BaseXMLEventFactory

    public BaseXMLEventFactory()

Method Detail

### setLocation

    public void setLocation(Location location)

  Specified by:
    `setLocation` in class `XMLEventFactory`

### createAttribute

    public Attribute createAttribute(QName name,
                                     String value)

  Specified by:
    `createAttribute` in class `XMLEventFactory`

### createAttribute

    public Attribute createAttribute(String prefix,
                                     String namespaceURI,
                                     String localName,
                                     String value)

  Specified by:
    `createAttribute` in class `XMLEventFactory`

### createAttribute

    public Attribute createAttribute(String localName,
                                     String value)

  Specified by:
    `createAttribute` in class `XMLEventFactory`

### createAttribute

    public abstract Attribute createAttribute(QName name,
                                              String value,
                                              Location location,
                                              QName schemaType)

### createCData

    public Characters createCData(String content)

  Specified by:
    `createCData` in class `XMLEventFactory`

### createCData

    public abstract Characters createCData(String content,
                                           Location location,
                                           QName schemaType)

### createCharacters

    public Characters createCharacters(String content)

  Specified by:
    `createCharacters` in class `XMLEventFactory`

### createCharacters

    public abstract Characters createCharacters(String content,
                                                Location location,
                                                QName schemaType)

### createComment

    public Comment createComment(String text)

  Specified by:
    `createComment` in class `XMLEventFactory`

### createComment

    public abstract Comment createComment(String text,
                                          Location location)

### createDTD

    public DTD createDTD(String dtd)

  Specified by:
    `createDTD` in class `XMLEventFactory`

### createDTD

    public abstract DTD createDTD(String dtd,
                                  Location location)

### createEndDocument

    public EndDocument createEndDocument()

  Specified by:
    `createEndDocument` in class `XMLEventFactory`

### createEndDocument

    public abstract EndDocument createEndDocument(Location location)

### createEndElement

    public EndElement createEndElement(QName name,
                                       Iterator namespaces)

  Specified by:
    `createEndElement` in class `XMLEventFactory`

### createEndElement

    public EndElement createEndElement(String prefix,
                                       String namespaceUri,
                                       String localName,
                                       Iterator namespaces)

  Specified by:
    `createEndElement` in class `XMLEventFactory`

### createEndElement

    public EndElement createEndElement(String prefix,
                                       String namespaceUri,
                                       String localName)

  Specified by:
    `createEndElement` in class `XMLEventFactory`

### createEndElement

    public abstract EndElement createEndElement(QName name,
                                                Iterator namespaces,
                                                Location location,
                                                QName schemaType)

### createEntityReference

    public EntityReference createEntityReference(String name,
                                                 EntityDeclaration declaration)

  Specified by:
    `createEntityReference` in class `XMLEventFactory`

### createEntityReference

    public abstract EntityReference createEntityReference(String name,
                                                          EntityDeclaration declaration,
                                                          Location location)

### createIgnorableSpace

    public Characters createIgnorableSpace(String content)

  Specified by:
    `createIgnorableSpace` in class `XMLEventFactory`

### createIgnorableSpace

    public abstract Characters createIgnorableSpace(String content,
                                                    Location location)

### createNamespace

    public Namespace createNamespace(String prefix,
                                     String namespaceUri)

  Specified by:
    `createNamespace` in class `XMLEventFactory`

### createNamespace

    public Namespace createNamespace(String namespaceUri)

  Specified by:
    `createNamespace` in class `XMLEventFactory`

### createNamespace

    public abstract Namespace createNamespace(String prefix,
                                              String namespaceUri,
                                              Location location)

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)

  Specified by:
    `createProcessingInstruction` in class `XMLEventFactory`

### createProcessingInstruction

    public abstract ProcessingInstruction createProcessingInstruction(String target,
                                                                      String data,
                                                                      Location location)

### createSpace

    public Characters createSpace(String content)

  Specified by:
    `createSpace` in class `XMLEventFactory`

### createSpace

    public abstract Characters createSpace(String content,
                                           Location location)

### createStartDocument

    public StartDocument createStartDocument()

  Specified by:
    `createStartDocument` in class `XMLEventFactory`

### createStartDocument

    public StartDocument createStartDocument(String encoding,
                                             String version,
                                             boolean standalone)

  Specified by:
    `createStartDocument` in class `XMLEventFactory`

### createStartDocument

    public StartDocument createStartDocument(String encoding,
                                             String version)

  Specified by:
    `createStartDocument` in class `XMLEventFactory`

### createStartDocument

    public StartDocument createStartDocument(String encoding)

  Specified by:
    `createStartDocument` in class `XMLEventFactory`

### createStartDocument

    public abstract StartDocument createStartDocument(String encoding,
                                                      String version,
                                                      Boolean standalone,
                                                      Location location,
                                                      QName schemaType)

### createStartElement

    public StartElement createStartElement(QName name,
                                           Iterator attributes,
                                           Iterator namespaces)

  Specified by:
    `createStartElement` in class `XMLEventFactory`

### createStartElement

    public StartElement createStartElement(String prefix,
                                           String namespaceUri,
                                           String localName,
                                           Iterator attributes,
                                           Iterator namespaces,
                                           NamespaceContext context)

  Specified by:
    `createStartElement` in class `XMLEventFactory`

### createStartElement

    public StartElement createStartElement(String prefix,
                                           String namespaceUri,
                                           String localName,
                                           Iterator attributes,
                                           Iterator namespaces)

  Specified by:
    `createStartElement` in class `XMLEventFactory`

### createStartElement

    public StartElement createStartElement(String prefix,
                                           String namespaceUri,
                                           String localName)

  Specified by:
    `createStartElement` in class `XMLEventFactory`

### createStartElement

    public abstract StartElement createStartElement(QName name,
                                                    Iterator attributes,
                                                    Iterator namespaces,
                                                    NamespaceContext namespaceCtx,
                                                    Location location,
                                                    QName schemaType)